Skip to main content
POST
/
api
/
datasets
/
{dataset_id}
/
branches
Create Dataset Branch
curl --request POST \
  --url https://api.example.com/api/datasets/{dataset_id}/branches \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_branch_id": "<string>",
  "branch_name": "<string>"
}
'
{
  "branch_id": "<string>",
  "dataset_name": "<string>",
  "branch_name": "<string>",
  "branch_family_uuid": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Cookies

antidote_session
string | null

Body

application/json
source_branch_id
string | null
branch_name
string | null

Response

Successful Response

branch_id
string
required
dataset_name
string
required
branch_name
string
required
branch_family_uuid
string
required